import { Payload, HandlerPayload, Publisher, Consumer, BaseEventHandler } from 'ec-base';
export { Publisher as DidiFinishOrderPublisher };
export { Consumer, BaseEventHandler };
export declare type DidiFinishOrderPayloadBody = {
    userName?: string;
    sex?: string;
};
export declare class DidiFinishOrderPayload extends Payload {
    getTopic(): string;
    getVersion(): string;
    getMajorVersion(): number;
    body: DidiFinishOrderPayloadBody;
}
export declare class DidiFinishOrderHandlerPayload extends HandlerPayload {
    body: DidiFinishOrderPayloadBody;
}
